Core - Feature # 51362

Status: Resolved Priority: Should have
Author: Peter Beernink Category: Install Tool
Created: 2013-08-26 Assigned To:

Updated: 2014-03-17 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Hint to check errorlog when an extension is incompatible

Description

When an extension reported as incompatible, give the user a hint to check the errorlog so they might know that is causing the

problem.

Related issues:
related to Core - Task # 49162: Rewrite install tool
related to Core - Bug # 54943: Installer does not display fatal errors that I...

Resolved
Resolved

2011-10-30
2014-01-13

Associated revisions

Revision 526f34d2 - 2014-03-17 11:07 - Daniel Siepmann
[FEATURE] Show PHP Errors after checking compatibility of extensions
The errors are logged in another log file and loaded as json afterwards.
Change-Id: 163458c0a4f64e6d8f4236667b6d22ff6b50aa1f3

Resolves: #51362

Releases: 6.2
Reviewed-on: https://review.typo3.0rg/28298

Reviewed-by: Tomita Militaru
Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny
Reviewed-by: Dmitry Dulepov
Tested-by: Dmitry Dulepov

History

#1 - 2013-10-28 20:42 - Ernesto Baschny

Good idea and could be added before beta2 still (UX improvement in this new feature).

#2 - 2013-11-27 14:10 - Ernesto Baschny

Task is in our trello board: https://trello.com/c/iB3XKvkG . Needs to be tackled!

#3 - 2013-11-27 14:11 - Ernesto Baschny
- Status changed from New to Accepted

#4 - 2014-01-31 12:52 - Ernesto Baschny
https://review.typo3.org/28298
https://trello.com/c/iB3XKvkG

Meanwhile we have #54943 merged. This displays the "Fatal Error" which leads to the extension check in case you go to the Upgrade Wizard or

Database compare. This exact information would be also useful if someone explicitly uses the "Extension Check" utility in the Important Actions!

#5 - 2014-03-12 15:00 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28298

#6 - 2014-03-13 08:58 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28298

#7 - 2014-03-14 22:39 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28298

#8 - 2014-03-17 11:30 - Daniel Siepmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:526f34d2963a9bf24d67d2dcd40a6fe5aa8f746d.
